{Header:GtkEditableWaveBuffer,gtkwavebuffer.html,gtkmemorywavebuffer.html}
<P>
GtkEditableWaveBuffer is an interface containing editable wavebuffer.  It is 
derived from <A HREF="gtkwavebuffer.html">GtkWaveBuffer</A> and inherits its
functions, adding the below functions.  This class does not provide any
functionality, only an interface.  Instantiate one of its subclasses
instead.
</P>

Signals:
<PRE>
modified - Caught by GtkWaveView to update the display.
insert_data - Used to update selection and marker position.
delete_data - Ditto.
</PRE>

<P><HR NOSHADE></P>

Member functions:

{FuncStart}
GtkType        gtk_editable_wave_buffer_get_type       (void);
{FuncStop}

Standard Gtk+ function returns GtkType of GtkEditableWaveBuffer class.

<P><HR NOSHADE></P>

{FuncStart}
void           gtk_editable_wave_buffer_queue_modified (GtkEditableWaveBuffer *editable,
                                                        gint32 start,
                                                        gint32 length);
{FuncStop}

Tell wavebuffer that it was modified and where.  This is a protected function
(in C++ terms) that should only be called by subclasses.  It queues up
the modified patches which are then repainted during an idle callback.

<P><HR NOSHADE></P>

{FuncStart}
gint           gtk_editable_wave_buffer_set_samples    (GtkEditableWaveBuffer *editable_wave_buffer,
                                                        guint32 start,
                                                        guint32 length,
                                                        guint32 channel_mask,
                                                        gpointer data);
{FuncStop}

Sets the samples given a starting point, a length, channel mask, and data.
See gtk_wave_buffer_get_samples of <A HREF="gtkwavebuffer.html">GtkWaveBuffer</A>
for a better description of the meaning of the parameters.  Returns 0
on success, anything else means failure.

<P><HR NOSHADE></P>

{FuncStart}
gint           gtk_editable_wave_buffer_insert         (GtkEditableWaveBuffer *editable_wave_buffer,
                                                        guint32 start,
                                                        guint32 length);
{FuncStop}

Insert a length of frames <B>before</B> the given position.  You may use this
function to append data to a data source, just pass the current length as the
position.  The inserted frames are of uninitiated values, therefore after
inserting them you should call gtk_editable_wave_buffer_set_samples to
initialize the data.  Returns 0 on success.

<P><HR NOSHADE></P>

{FuncStart}
gint           gtk_editable_wave_buffer_delete         (GtkEditableWaveBuffer *editable_wave_buffer,
                                                        guint32 start,
                                                        guint32 length);
{FuncStop}

Delete a length of frames starting at a point.  Returns 0 on success.

<BR><BR>

{Footer}
