{Header:GtkWaveView,gtkwave.html,gtkwavebuffer.html}
<P>
GtkWaveView is the display widget for waveview data.
</P>

Member functions:
{FuncStart}
GtkType    gtk_wave_view_get_type              (void);
{FuncStop}

Standard Gtk+ object function that returns the GtkType of the waveview class.

<P><HR NOSHADE></P>

{FuncStart}
GtkWidget *gtk_wave_view_new                   (void);
{FuncStop}

Standard Gtk+ object function returns reference to new GtkWaveView widget.

<P><HR NOSHADE></P>

{FuncStart}
GtkWaveBuffer *gtk_wave_view_get_buffer        (GtkWaveView *waveview);
{FuncStop}

Returns a pointer to the model object (GtkWaveBuffer).  Does not perform
any ref/unrefs.

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_set_buffer            (GtkWaveView *waveview,
                                                GtkWaveBuffer *wavebuffer);
{FuncStop}

Sets the object (GtkWaveBuffer) to display.  Automatically ref/unref's the
object.  Passing a null pointer will disassociate the current object.

<P><HR NOSHADE></P>

{FuncStart}
gdouble    gtk_wave_view_get_zoom              (GtkWaveView *waveview);
{FuncStop}

Get the zoom factor.  Units are in frames per pixel.

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_set_zoom              (GtkWaveView *waveview,
                                                gdouble     zoom);
{FuncStop}

Set the zoom factor.  Units are in frames per pixel.

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_set_zoom_all          (GtkWaveView *waveview);
{FuncStop}

Set the zoom factor to display the whole current data object.

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_set_zoom_selection    (GtkWaveView *waveview);
{FuncStop}

Set the zoom factor to display the current selection, if there is one.  If
not, ignore function call.

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_get_selection         (GtkWaveView *waveview,
                                                gint32      *start,
                                                gint32      *length);
{FuncStop}

Get the current selection.  If none exists, then length will equal zero
on return.

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_set_selection         (GtkWaveView *waveview,
                                                gint32       start,
                                                gint32       length);
{FuncStop}

Set the current selection.  If the selection is out of range, then it will
be clipped as appropriate.

<P><HR NOSHADE></P>

{FuncStart}
guint32     gtk_wave_view_get_select_channels  (GtkWaveView *waveview);
{FuncStop}

Get the bitmask of the channels that are selectable.  Bit 0 = first channel,
Bit 1 = second channel, etc.  A 1 in a bit position means the channel can be
selected.

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_set_select_channels   (GtkWaveView *waveview,
                                                guint32      sel_mask);
{FuncStop}

Set the bitmask of the channels that are selectable.  A selection mask of
0xffffffff means all channels will be included in the selection.

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_set_cache_size        (GtkWaveView *waveview,
                                                guint32      size);
{FuncStop}

Set the size of the cache in number of pixel columns.  The GtkWaveView
widget keeps a direct-mapped cache with each element corresponding to an
x coordinate inside the window.  Therefore, for performance reasons, you
shouldn't normally set the size to be less than the screen width.

<P><HR NOSHADE></P>

{FuncStart}
gdouble    gtk_wave_view_get_amplitude_zoom    (GtkWaveView *waveview);
{FuncStop}

Return the current amplification value.

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_set_amplitude_zoom    (GtkWaveView *waveview,
                                                gdouble      amplzoom);
{FuncStop}

Set the amplification of the wave data.  Default is 1.0, larger
numbers result in larger amplifications.

<P><HR NOSHADE></P>

{FuncStart}
gint32     gtk_wave_view_get_marker            (GtkWaveView *waveview);
{FuncStop}

Returns the current location of the marker, or if it's hidden, returns
a negative number.

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_set_marker            (GtkWaveView *waveview,
                                                gint32       frame);
{FuncStop}

Set the marker's location in units of frames.  The marker is like a
cursor.  It is usually used to represent the current location of a
sound being played.  To remove a marker, set it's frame to a negative
number.

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_set_marker_scrolling_boundaries
                                                (GtkWaveView *waveview,
                                                 gdouble      stop_threshold,
                                                 gdouble      start_offset);
{FuncStop}

<P>
Set the onscreen boundaries the marker must be in after a
gtk_wave_view_set_marker_and_scroll function call.  The stop_threshold
parameter is a number 0.0 to 1.0 which represents the maximum boundary from
the right side of the screen.  The start_offset parameter is a number
0.0 to 1.0 representing the start boundary from the left side of the screen.
</P>

<P>
For example: stop_threshold = 0.1, start_offset = 0.6<BR>
If the marker is within 10% of the right side of the screen, automatically
scroll the widget until the marker is at 60% from the left side of the screen.
</P>

<P><HR NOSHADE></P>

{FuncStart}
void       gtk_wave_view_set_marker_and_scroll  (GtkWaveView *waveview,
                                                 gint32       frame);
{FuncStop}

Set the marker position and scroll if near an edge of the widget.

<BR><BR>

{Footer}
