{Header:Utility functions,gtkwavefilebuffer.html,glossary.html}
<P>
These are some utility functions that you might find useful.  They
are available in gwavefile.h.
</P>

{FuncStart}
static inline gint16 double_to_s16 (gdouble d);
{FuncStop}

Convert a double [-1.0, 1.0] to a signed 16 bit number.

<P><HR NOSHADE></P>

{FuncStart}
static inline gint32 double_to_s32 (gdouble d);
{FuncStop}

Convert a double [-1.0, 1.0] to a signed 32 bit number.

<P><HR NOSHADE></P>

{FuncStart}
static inline gdouble s16_to_double (gint16 i);
{FuncStop}

Convert a 16 bit number to a double [-1.0, 1.0].

<P><HR NOSHADE></P>

{FuncStart}
static inline gdouble s32_to_double (gint32 i);
{FuncStop}

Convert a 32 bit number to a double [-1.0, 1.0].

<P><HR NOSHADE></P>

{FuncStart}
guint32 g_wavefile_type_width   (GWavefileType dtype);
{FuncStop}

Returns the number of bytes required to allocate one item of the given type.

<P><HR NOSHADE></P>

{FuncStart}
void    g_wavefile_type_convert (guint32       n_channels,
                                 guint32       length,
                                 GWavefileType out_type,
                                 gpointer      out,
                                 GWavefileType in_type,
                                 gpointer      in);
{FuncStop}

Convert a whole block of data from one data type to another.  The output
pointer must point to a preallocated block of data.

<P><HR NOSHADE></P>

{FuncStart}
void    g_wavefile_type_clear   (guint32       n_channels,
                                 guint32       length,
                                 GWavefileType type,
                                 gpointer      out);
{FuncStop}

Clears out a block of data to the proper median sample value.

<BR><BR>

{Footer}
