{Header:GtkWaveform library,,gtkwave.html}
<P>
GtkWaveform is a library containing the widget GtkWaveView and associated
objects for displaying audio data.  It can handle up to 32 channels of
data in a wide variety of data types.  Data streams can be up to 2
gigaframes long.  The widget can display data at various zoom levels
allowing scrolling, and it caches zoomed data for quick screen updates.
</P>

<P>
The GtkWaveView widget follows the MVC paradigm.  MVC stands for
Model-View-Controller.  If you have never heard this term before, don't panic!
That is just a fancy way of saying that the data (the Model) representing the
real world information is stored in a separate object from the display widget
(the View).  This allows the view object to access data from a variety of sources,
whether the data is in memory, on the hard drive uncompressed, streamed,
or even compressed data.  The Controller is the program you write to access
either object.  Because data must be in a separate object, there are
abstract classes that act as interfaces.  Included in libgtkwaveview are
some pre-written data sources for you to use.
</P>

<P>

{TreeStart}
Class hierarchy

<PRE>
  GtkVBox
    |
    +---- <A HREF="gtkwave.html">GtkWave</A> - Stub GtkWaveView widget for upwards compatability with 0.3.0


  GtkVBox
    |
    +---- <A HREF="gtkwaveview.html">GtkWaveView</A> - The View widget


  GtkObject
    |
    +---- <A HREF="gtkwavebuffer.html">GtkWaveBuffer</A> - The base Model interface  &lt;&lt;interface&gt;&gt;
            |
            +---- <A HREF="gtkeditablewavebuffer.html">GtkEditableWaveBuffer</A> &lt;&lt;interface&gt;&gt;
            |       |
            |       +---- <A HREF="gtkmemorywavebuffer.html">GtkMemoryWaveBuffer</A>
            |       |
            |       +---- <A HREF="gtktempfilewavebuffer.html">GtkTempfileWaveBuffer</A>
            |
            +---- <A HREF="gtkaudiofilewavebuffer.html">GtkAudiofileWaveBuffer</A>
            |
            +---- <A HREF="gtkwavefilebuffer.html">GtkWavefileBuffer</A>
</PRE>
{TreeStop}
</P>

<P>
{TreeStart}
Miscellaneous

<PRE>
    <A HREF="gwavefile.html">gwavefile</A> - GWavefile and GWavefileType utility functions (sizeof, convert, clear)
    <A HREF="glossary.html">glossary</A> - Definitions of terms used
    <A HREF="datatypes.html">datatypes</A> - Description of data types
    <A HREF="test1.html">test1</A> - Commented sample program
    <A HREF="mousedrag.html">mousedrag</A> - Mouse press, drag, and release algorithm
</PRE>
{TreeStop}
</P>

{Footer}
