# Configure paths for libgtkwaveform
# Ben De Rydt 2000-08-04
# stolen from audiofile.4 in audiofile
# Bertrand Guiheneuf 98-10-21
# stolen from esd.m4 in esound :
# Manish Singh    98-9-30
# stolen back from Frank Belew
# stolen from Manish Singh
# Shamelessly stolen from Owen Taylor

dnl AM_PATH_GTKWAVEFORM_0_2([MINIMUM-VERSION, 
dnl [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
dnl Test for libgtkwaveform, and define GTKWAVEFORM_CFLAGS and GTKWAVEFORM_LIBS
dnl
AC_DEFUN(AM_PATH_GTKWAVEFORM_0_2,
[
dnl 
dnl Get the cflags and libraries from the gtkwaveform-config script
dnl
AC_ARG_WITH(gtkwaveform-prefix,[  --with-gtkwaveform-prefix=PFX   Prefix where libgtkwaveform is installed (optional)],
            gtkwaveform_prefix="$withval", gtkwaveform_prefix="")
AC_ARG_WITH(gtkwaveform-exec-prefix,[  --with-gtkwaveform-exec-prefix=PFX Exec prefix where libgtkwaveform is installed (optional)],
            gtkwaveform_exec_prefix="$withval", gtkwaveform_exec_prefix="")
AC_ARG_ENABLE(gtkwaveformtest, [  --disable-gtkwaveformtest       Do not try to compile and run a test libgtkwaveform program],
		    , enable_gtkwaveformtest=yes)

  if test x$gtkwaveform_exec_prefix != x ; then
     gtkwaveform_args="$gtkwaveform_args --exec-prefix=$gtkwaveform_exec_prefix"
     if test x${GTKWAVEFORM_CONFIG+set} != xset ; then
        GTKWAVEFORM_CONFIG=$gtkwaveform_exec_prefix/bin/gtkwaveform-config
     fi
  fi
  if test x$gtkwaveform_prefix != x ; then
     gtkwaveform_args="$gtkwaveform_args --prefix=$gtkwaveform_prefix"
     if test x${GTKWAVEFORM_CONFIG+set} != xset ; then
        GTKWAVEFORM_CONFIG=$gtkwaveform_prefix/bin/gtkwaveform-config
     fi
  fi

  AC_PATH_PROG(GTKWAVEFORM_CONFIG, gtkwaveform-config, no)
  min_gtkwaveform_version=ifelse([$1], ,0.1,$1)
  AC_MSG_CHECKING(for libgtkwaveform - version >= $min_gtkwaveform_version)
  no_gtkwaveform=""
  if test "$GTKWAVEFORM_CONFIG" = "no" ; then
    no_gtkwaveform=yes
  else
    GTKWAVEFORM_LIBS=`$GTKWAVEFORM_CONFIG $gtkwaveformconf_args --libs`
    GTKWAVEFORM_CFLAGS=`$GTKWAVEFORM_CONFIG $gtkwaveformconf_args --cflags`
    gtkwaveform_major_version=`$GTKWAVEFORM_CONFIG $gtkwaveform_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\)/\1/'`
    gtkwaveform_minor_version=`$GTKWAVEFORM_CONFIG $gtkwaveform_args --version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\)/\2/'`
    if test "x$enable_gtkwaveformtest" = "xyes" ; then
      ac_save_CFLAGS="$CFLAGS"
      ac_save_LIBS="$LIBS"
      CFLAGS="$CFLAGS $GTKWAVEFORM_CFLAGS"
      LIBS="$LIBS $GTKWAVEFORM_LIBS"
dnl
dnl Now check if the installed libgtkwaveform is sufficiently new. (Also sanity
dnl checks the results of gtkwaveform-config to some extent
dnl
      rm -f conf.gtkwaveformtest
      AC_TRY_RUN([
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <gtkwaveform/all.h>

char*
my_strdup (char *str)
{
  char *new_str;
  
  if (str)
    {
      new_str = malloc ((strlen (str) + 1) * sizeof(char));
      strcpy (new_str, str);
    }
  else
    new_str = NULL;
  
  return new_str;
}

int main ()
{
  int major, minor;
  char *tmp_version;

  system ("touch conf.gtkwaveformtest");

  /* HP/UX 9 (%@#!) writes to sscanf strings */
  tmp_version = my_strdup("$min_gtkwaveform_version");
  if (sscanf(tmp_version, "%d.%d", &major, &minor) != 2) {
     printf("%s, bad version string\n", "$min_gtkwaveform_version");
     exit(1);
   }

   if (($gtkwaveform_major_version > major) ||
      (($gtkwaveform_major_version == major) && ($gtkwaveform_minor_version >= minor)))
   {
      return 0;
    }
  else
    {
printf("\n\
*** 'gtkwaveform-config --version' returned %d.%d, but the minimum\n\
*** version of libgtkwaveform required is %d.%d. If gtkwaveform-config\n\
*** is correct, then it is best to upgrade to the required version.\n\
*** If gtkwaveform-config was wrong, set the environment variable\n\
*** GTKWAVEFORM_CONFIG to point to the correct copy of gtkwaveform-config,\n\
***  and remove the file config.cache before re-running configure\n",
$gtkwaveform_major_version, $gtkwaveform_minor_version, major, minor);
      return 1;
    }
}

],, no_gtkwaveform=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
       CFLAGS="$ac_save_CFLAGS"
       LIBS="$ac_save_LIBS"
     fi
  fi
  if test "x$no_gtkwaveform" = x ; then
     AC_MSG_RESULT(yes)
     ifelse([$2], , :, [$2])     
  else
     AC_MSG_RESULT(no)
     if test "$GTKWAVEFORM_CONFIG" = "no" ; then
       echo "*** The gtkwaveform-config script installed by libgtkwaveform could not be found"
       echo "*** If libgtkwaveform was installed in PREFIX, make sure PREFIX/bin is in"
       echo "*** your path, or set the GTKWAVEFORM_CONFIG environment variable to the"
       echo "*** full path to gtkwaveform-config."
     else
       if test -f conf.gtkwaveformtest ; then
        :
       else
          echo "*** Could not run libgtkwaveform test program, checking why..."
          CFLAGS="$CFLAGS $GTKWAVEFORM_CFLAGS"
          LIBS="$LIBS $GTKWAVEFORM_LIBS"
          AC_TRY_LINK([
#include <stdio.h>
#include <gtkwaveform/all.h>
],      [ return 0; ],
        [ echo "*** The test program compiled, but did not run. This usually means"
          echo "*** that the run-time linker is not finding libgtkwaveform or finding the wrong"
          echo "*** version of libgtkwaveform. If it is not finding libgtkwaveform, you'll need to set your"
          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
          echo "*** is required on your system"
	  echo "***"
          echo "*** If you have an old version installed, it is best to remove it, although"
          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"],
        [ echo "*** The test program failed to compile or link. See the file config.log for the"
          echo "*** exact error that occured. This usually means libgtkwaveform was incorrectly installed"
          echo "*** or that you have moved libgtkwaveform since it was installed. In the latter case, you"
          echo "*** may want to edit the gtkwaveform-config script: $GTKWAVEFORM_CONFIG" ])
          CFLAGS="$ac_save_CFLAGS"
          LIBS="$ac_save_LIBS"
       fi
     fi
     GTKWAVEFORM_CFLAGS=""
     GTKWAVEFORM_LIBS=""
     ifelse([$3], , :, [$3])
  fi
  AC_SUBST(GTKWAVEFORM_CFLAGS)
  AC_SUBST(GTKWAVEFORM_LIBS)
  rm -f conf.gtkwaveformtest
])
