%define name libgtkwaveform
%define	version	0.2.2
%define release 0
%define	prefix /usr

Summary: An audio waveform display library.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: LGPL
URL: http://uts.cc.utexas.edu/~foxx/gtkwaveform/index.html
Group: System Environment/Libraries
Source: libgtkwaveform-%{version}.tgz
Prefix: %{prefix}
BuildRoot: /var/tmp/libgtkwaveform-build

%description
The libgtkwaveform library contains the GtkWaveView sound sample display
widget and its corresponding data source objects.  The GtkWaveform framework
provides a robust caching display interface using the MVC
(Model-View-Controller) paradigm.

%prep
%setup -q -n libgtkwaveform-%{version}

[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%doc docs/datatypes.html docs/gtktempfilewavebuffer.html docs/index.html
%doc docs/glossary.html docs/gtkwave.html docs/mousedrag.html
%doc docs/gtkaudiofilebuffer.html docs/gtkwavebuffer.html docs/reference.html
%doc docs/gtkwavefilebuffer.html docs/test1.html
%doc docs/gtkeditablewavebuffer.html docs/gtkwaveview.html docs/userguide.html
%doc docs/gtkmemorywavebuffer.html docs/gwavefile.html

%{prefix}/lib/libgtkwaveform-0.2.so.1.0.0
%{prefix}/lib/libgtkwaveform-0.2.so.1
%{prefix}/lib/libgtkwaveform-0.2.so
%{prefix}/lib/libgtkwaveform-0.2.a
%{prefix}/bin/gtkwaveform-config-0.2
%{prefix}/share/aclocal/gtkwaveform-0.2.m4
%{prefix}/include/gtkwaveform-0.2/grange.h
%{prefix}/include/gtkwaveform-0.2/gtkaudiofilebuffer.h
%{prefix}/include/gtkwaveform-0.2/gtkeditablewavebuffer.h
%{prefix}/include/gtkwaveform-0.2/gwavefile.h
%{prefix}/include/gtkwaveform-0.2/gtkwavefilebuffer.h
%{prefix}/include/gtkwaveform-0.2/gtkmemorywavebuffer.h
%{prefix}/include/gtkwaveform-0.2/gtktempfilewavebuffer.h
%{prefix}/include/gtkwaveform-0.2/gtkwave.h
%{prefix}/include/gtkwaveform-0.2/gtkwavebuffer.h
%{prefix}/include/gtkwaveform-0.2/gtkwaveform.h
%{prefix}/include/gtkwaveform-0.2/gtkwaveview.h

%changelog
* Wed Sep 20 2000 David A. Bartold <foxx@mail.utexas.edu>
- Initial RPM built.
